#ifndef _CBUILDMAINMENU_HPP_
#define _CBUILDMAINMENU_HPP_

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** TinyXML Header File ***/
#include "tinyxml2.h"

/*** Custom Header Files ***/
#include "cMainMenu.hpp"

using UtilityEngine::cString; 
using tinyxml2::XMLElement;

namespace MainMenu {
	class cBuildMainMenu
	{
	public:
		cBuildMainMenu();
		~cBuildMainMenu();

		///Functions
		cMainMenu* ReadXML();
		
		///Sets
		///Gets

	private:
		void GetOptions( const XMLElement* element, const cString name );
		const char* GetAttribute( const XMLElement* element, const cString attribute ) const;
		const unsigned long int HexToInt( const cString str ) const;
		const SDL_Colour IntToSDLColour( const unsigned long int colour ) const;

	private:
		cString m_langSettings;// = ""
		cString m_lang;// = ""

		cString m_ttf;// = ""
		cString m_dir;// = ""

		cMainMenu* mp_mainMenu;// = new cMainMenu()
	};/// END CLASS DEFINITION cBuildMainMenu
}/// END NAMESPACE DEFINITION MainMenu
#endif/// END IFNDEF _CBUILDMAINMENU_HPP_